Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3325 closed enhancement (fixed)

Simplify clustered scheduler configuration

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: config Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Improve the scheduler configuration documentation according to user review.

Do not use names derived from scheduler implementation details. Instead
use names derived from the scheduler configuration or documentation.

Provide defines for backward compatibility.

Change History (5)

comment:1 Changed on 03/08/18 at 06:47:33 by Sebastian Huber <sebastian.huber@…>

In [changeset:"bf78123adaaef8e56eb76e5d6bf9c0ba1b03b57e/rtems-docs" bf78123/rtems-docs]:

c-user: Rework scheduler alogrithm config defs

Update #3325.

comment:2 Changed on 03/08/18 at 07:05:33 by Sebastian Huber <sebastian.huber@…>

In [changeset:"0231ebc22fe95cce877c29a61260a69192a78b86/rtems" 0231ebc/rtems]:

config: Remove RTEMS prefix from internal defines

Update #3325.

comment:3 Changed on 03/12/18 at 06:02:46 by Sebastian Huber <sebastian.huber@…>

In [changeset:"2ef85b1c76daef1ffc15dde9ef75012022fdaef3/rtems" 2ef85b1/rtems]:

config: Simplify clustered scheduler configuration

Do not use names derived from scheduler implementation details. Instead
use names derived from the scheduler configuration or documentation.

Provide defines for backward compatibility.

Update #3325.

comment:4 Changed on 03/12/18 at 06:02:56 by Sebastian Huber <sebastian.huber@…>

In [changeset:"6fadb7af092edc2caab1c34d004341ea784989f7/rtems" 6fadb7a/rtems]:

config: Use new scheduler configuration defines

Update #3325.

comment:5 Changed on 03/12/18 at 06:14:56 by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In [changeset:"154fb0f90ac6cc47a586327124b6ea4820b551a9/rtems-docs" 154fb0f9/rtems-docs]:

c-user: Simplify clustered scheduler configuration

Close #3325.

Note: See TracTickets for help on using tickets.